diff -Naur emacs-w3m-1.3.6.orig/fink/emacs-w3m-install emacs-w3m-1.3.6/fink/emacs-w3m-install
--- emacs-w3m-1.3.6.orig/fink/emacs-w3m-install	Thu Jan  1 09:00:00 1970
+++ emacs-w3m-1.3.6/fink/emacs-w3m-install	Wed Feb 25 13:09:35 2004
@@ -0,0 +1,68 @@
+#! /bin/sh -e
+# @PREFIX@/lib/emacsen-common/packages/install/emacs-w3m
+
+FLAVOR=$1
+PACKAGE=w3m
+
+ELDIR=@PREFIX@/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=@PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+if [ ${FLAVOR} = emacs ]; then exit 0; fi
+
+echo install/${PACKAGE}: Handling install for emacsen flavor ${FLAVOR}
+
+install -m 755 -d ${ELCDIR}
+install -m 755 -d ${ELCDIR}/shimbun
+
+case ${FLAVOR} in
+xemacs*)
+    SITEFLAG="-no-site-file";;
+*)
+    SITEFLAG="--no-site-file";;
+esac
+LPATH="NONE"
+if [ -d @PREFIX@/share/emacs/site-lisp/mule-ucs -a ! -d @PREFIX@/share/${FLAVOR}/site-lisp/mule-ucs ]; then
+    @PREFIX@/lib/emacsen-common/emacs-package-install mule-ucs
+fi
+if [ -d @PREFIX@/share/${FLAVOR}/site-lisp/mule-ucs ]; then
+ LPATH="${LPATH}:@PREFIX@/share/${FLAVOR}/site-lisp/mule-ucs"
+fi
+for el in apel apel/emu flim mew bitmap-mule gnus t-gnus
+do
+ if [ -d @PREFIX@/share/${FLAVOR}/site-lisp/${el} ]; then
+  LPATH="${LPATH}:@PREFIX@/share/${FLAVOR}/site-lisp/${el}"
+ elif [ -d @PREFIX@/share/emacs/site-lisp/${el} ]; then
+  LPATH="${LPATH}:@PREFIX@/share/emacs/site-lisp/${el}"
+ fi
+done
+if [ ${FLAVOR} = mule2 ]; then
+  LPATH="${LPATH}":@PREFIX@/share/mule2/site-lisp/custom-mule
+  cp @PREFIX@/share/doc/emacs-w3m/attic/regexp-opt.el ${ELCDIR}/regexp-opt.el
+fi
+FLAGS="${SITEFLAG} -q -batch -l path.el -l w3mhack.el ${LPATH}"
+
+
+(cd ${ELDIR}; FILES=`echo *.el`; cp ${FILES} ${ELCDIR})
+(cd ${ELDIR}/shimbun; FILES=`echo *.el`; cp ${FILES} ${ELCDIR}/shimbun)
+cd ${ELCDIR}
+rm -f *.elc shimbun/*.elc
+if [ ${FLAVOR} = mule2 ]; then
+  ${FLAVOR} -q -no-site-file -batch -f batch-byte-compile regexp-opt.el
+fi
+cat << EOF > path.el
+(setq load-path (cons "." load-path) byte-compile-warnings nil)
+EOF
+${FLAVOR} ${FLAGS} -f w3mhack-compile 2>&1 | gzip -9 > CompilationLog.gz
+rm -f `ls -1 *.el | grep -v w3m-kwds.el` path.el shimbun/*.el path.elc
+
+# force to recopmile wl for shimbun module
+#  fix "Cannot open load file: elmo-shimbun"
+if test -d @PREFIX@/share/${FLAVOR}/site-lisp/wl; then
+ for pkg in wl wl-beta
+ do
+  if test -f @PREFIX@/lib/emacsen-common/packages/install/${pkg}; then
+   @PREFIX@/lib/emacsen-common/packages/install/${pkg} ${FLAVOR}
+  fi
+ done
+fi
+exit 0
diff -Naur emacs-w3m-1.3.6.orig/fink/emacs-w3m-remove emacs-w3m-1.3.6/fink/emacs-w3m-remove
--- emacs-w3m-1.3.6.orig/fink/emacs-w3m-remove	Thu Jan  1 09:00:00 1970
+++ emacs-w3m-1.3.6/fink/emacs-w3m-remove	Wed Feb 25 13:10:23 2004
@@ -0,0 +1,21 @@
+#!/bin/sh -e
+# @PREFIX@/lib/emacsen-common/packages/remove/emacs-w3m
+
+FLAVOR=$1
+PACKAGE=w3m
+
+if [ ${FLAVOR} != emacs ]; then
+
+    echo remove/${PACKAGE}: purging byte-compiled files for ${FLAVOR}
+    rm -rf @PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+    # force to recopmile wl for shimbun module
+    if test -d @PREFIX@/share/${FLAVOR}/site-lisp/wl; then
+      for pkg in wl wl-beta
+      do
+       if test -f @PREFIX@/lib/emacsen-common/packages/install/${pkg}; then
+        @PREFIX@/lib/emacsen-common/packages/install/${pkg} ${FLAVOR}
+       fi
+      done
+    fi
+fi
diff -Naur emacs-w3m-1.3.6.orig/fink/emacs-w3m-startup emacs-w3m-1.3.6/fink/emacs-w3m-startup
--- emacs-w3m-1.3.6.orig/fink/emacs-w3m-startup	Thu Jan  1 09:00:00 1970
+++ emacs-w3m-1.3.6/fink/emacs-w3m-startup	Wed Feb 25 15:06:06 2004
@@ -0,0 +1,21 @@
+;; -*-emacs-lisp-*-
+;;
+;; Emacs startup file for the Fink emacs-w3m package
+
+;; We have to add this to the load-path:
+(setq load-path (cons (concat "@PREFIX@/share/"
+                              (symbol-name fink-emacs-flavor)
+			      "/site-lisp/w3m/shimbun") load-path))
+(setq load-path (cons (concat "@PREFIX@/share/"
+                              (symbol-name fink-emacs-flavor)
+			      "/site-lisp/w3m") load-path))
+(setq w3m-icon-directory "@PREFIX@/share/pixmaps/emacs-w3m")
+
+(autoload 'w3m "w3m" "*Interface for w3m on Emacs." t)
+(autoload 'w3m-find-file "w3m" "Find a local file using emacs-w3m." t)
+(autoload 'w3m-browse-url "w3m" "Ask a WWW browser to show a URL." t)
+(autoload 'w3m-search "w3m-search" "Search words using emacs-w3m." t)
+(autoload 'w3m-weather "w3m-weather" "Display a weather report." t)
+(autoload 'w3m-antenna "w3m-antenna" "Report changes of web sites." t)
+(autoload 'w3m-namazu "w3m-namazu" "Search files with Namazu." t)
+(autoload 'w3m-bookmark-view "w3m-bookmark" "*View w3m bookmark" t)
diff -Naur emacs-w3m-1.3.6.orig/examples/w3m-browse-url.el emacs-w3m-1.3.6/examples/w3m-browse-url.el
--- emacs-w3m-1.3.6.orig/examples/w3m-browse-url.el	Thu Jan  1 09:00:00 1970
+++ emacs-w3m-1.3.6/examples/w3m-browse-url.el	Wed Feb 25 14:11:40 2004
@@ -0,0 +1,7 @@
+; from TIPS.ja
+;   The following emacsen configuration makes `C-x m' on the string looking 
+;   like URI browse the page by w3m.
+;
+(setq browse-url-browser-function 'w3m-browse-url)
+(autoload 'w3m-browse-url "w3m" "Ask a WWW browser to show a URL." t)
+(global-set-key "\C-xm" 'browse-url-at-point)
diff -Naur emacs-w3m-1.3.6.orig/examples/w3m-dired.el emacs-w3m-1.3.6/examples/w3m-dired.el
--- emacs-w3m-1.3.6.orig/examples/w3m-dired.el	Thu Jan  1 09:00:00 1970
+++ emacs-w3m-1.3.6/examples/w3m-dired.el	Wed Feb 25 14:11:40 2004
@@ -0,0 +1,12 @@
+; from TIPS.ja
+;   The following emacsen configuration makes `C-x m' with selecting
+;   a file in dired-mode buffer bwoerse the file by w3m
+(add-hook 'dired-mode-hook
+          (lambda ()
+              (define-key dired-mode-map "\C-xm" 'dired-w3m-find-file)))
+(defun dired-w3m-find-file ()
+  (interactive)
+  (require 'w3m)
+  (let ((file (dired-get-filename)))
+    (if (y-or-n-p (format "Open 'w3m' %s " (file-name-nondirectory file)))
+        (w3m-find-file file))))
diff -Naur emacs-w3m-1.3.6.orig/examples/w3m-gnus.el emacs-w3m-1.3.6/examples/w3m-gnus.el
--- emacs-w3m-1.3.6.orig/examples/w3m-gnus.el	Thu Jan  1 09:00:00 1970
+++ emacs-w3m-1.3.6/examples/w3m-gnus.el	Wed Feb 25 14:11:40 2004
@@ -0,0 +1,66 @@
+;; 
+;;   With Oort Gnus or Gnus v5.8.8, v5.9, you can put nnshimbun.el from 
+;;   the latest version of T-gnus 6.15 distribution into the lisp/
+;;   directory and run "make install", then you can browse article
+;;   by using nnshimbun.  In addition, in order to use emacs-w3m
+;;   instead of eamcs-w3 to browse contents of text/html, put the
+;;   followings in .gnus file.
+
+;; From: greg@visiontech-dml.com
+;; Newsgroups: gnu.emacs.help
+;; Subject: Re: w3m-mode and images
+;; Date: 19 Jul 2001 10:59:19 +0300
+;; Message-ID: <2fasnftcpt4.fsf@broadcom.com>
+
+(defvar gnus-w3m-minor-mode nil)
+
+(make-variable-buffer-local 'gnus-w3m-minor-mode)
+(add-to-list 'minor-mode-alist '(gnus-w3m-minor-mode " w3m"))
+(add-to-list 'minor-mode-map-alist (cons 'gnus-w3m-minor-mode w3m-mode-map))
+
+(defadvice mm-inline-text (around use-w3m-instead (handle) activate)
+  (let ((type (mm-handle-media-subtype handle)))
+    (if (not (equal type "html"))
+	ad-do-it
+      (let ((text (mm-get-part handle))
+	    (b (point)))
+	(save-excursion
+	  (insert text)
+	  (save-restriction
+	    (narrow-to-region b (point))
+	    (goto-char (point-min))
+	    (w3m-region (point-min) (point-max))
+	    (setq gnus-w3m-minor-mode t))
+	  (mm-handle-set-undisplayer
+	   handle
+	   `(lambda ()
+	      (let (buffer-read-only)
+		(setq gnus-w3m-minor-mode nil)
+		(if (functionp 'remove-specifier)
+		    (mapcar (lambda (prop)
+			      (remove-specifier
+			       (face-property 'default prop)
+			       (current-buffer)))
+			    '(background background-pixmap foreground)))
+		(delete-region ,(point-min-marker)
+			       ,(point-max-marker))))))))))
+
+;; Date: Fri, 27 Jul 2001 12:51:12 +0900
+;; Message-ID: <yosuwv4v3u8f.fsf@jpl.org>
+;; From: Katsumi Yamaoka <yamaoka@jpl.org>
+;; To: semi-gnus-ja@meadowy.org
+;; Subject: [nnshimbun] toggle inline images
+
+;; Browse image in multipart/related in koizumi mail-mag.
+
+(eval-after-load "gnus-art"
+  '(or (assoc "multipart/related" gnus-mime-multipart-functions)
+       (setq gnus-mime-multipart-functions
+	     (cons
+	      (cons
+	       "multipart/related"
+	       (byte-compile
+		(lambda (handle)
+		  (gnus-mime-display-mixed (cdr handle)))))
+	      gnus-mime-multipart-functions))))
+
diff -Naur emacs-w3m-1.3.6.orig/examples/w3m-hnf-mode.el emacs-w3m-1.3.6/examples/w3m-hnf-mode.el
--- emacs-w3m-1.3.6.orig/examples/w3m-hnf-mode.el	Thu Jan  1 09:00:00 1970
+++ emacs-w3m-1.3.6/examples/w3m-hnf-mode.el	Wed Feb 25 14:11:40 2004
@@ -0,0 +1,9 @@
+; from TIPS.ja
+; with this elisp, you can browse latest diary by C-c C-b in hnf-mode 
+(autoload 'w3m-browse-url "w3m" nil t)
+(defun w3m-hnf-browse-url-w3m (url &optional new-window)
+  (interactive (browse-url-interactive-arg "URL: "))
+  (save-selected-window
+    (pop-to-buffer (get-buffer-create "*w3m*"))
+    (w3m-browse-url url new-window)))
+(setq hnf-browse-url-browser-function (function w3m-hnf-browse-url-w3m))
diff -Naur emacs-w3m-1.3.6.orig/examples/w3m-yahtml.el emacs-w3m-1.3.6/examples/w3m-yahtml.el
--- emacs-w3m-1.3.6.orig/examples/w3m-yahtml.el	Thu Jan  1 09:00:00 1970
+++ emacs-w3m-1.3.6/examples/w3m-yahtml.el	Wed Feb 25 14:11:40 2004
@@ -0,0 +1,6 @@
+;; With the following configuration, you can use emacs-w3m
+;; to preview editing file in yahtml-mode.
+(autoload 'w3m-goto-url "w3m")
+(defadvice yahtml-browse-html
+  (around w3m-yahtml-browse-html activate compile)
+  (w3m-goto-url (ad-get-arg 0) t))
